Page MenuHomePhabricator

[Bug] Program aborted after change Font name and color
Closed, ResolvedPublic8 Story Points

Description

Reproduce:

  1. Open Textblock style manager
  2. Text > Set Font style = Bold and set color
  3. Text > Font name > Click space and input a few symbols, then delete them
  4. Set again color

Actual result:
at step 3: Color set to default
at step 4: Program received signal SIGABRT, Aborted.

Expected result:
Color shouldn't back to default

bt:

#0 0x00007ffff55d5cc9 in __GI_raise (sig=sig@entry=6)

at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

#1 0x00007ffff55d90d8 in GI_abort () at abort.c:89
#2 0x00007ffff55ceb86 in
assert_fail_base (

fmt=0x7ffff571f830 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
assertion=assertion@entry=0x4bb1d4 "pd->started_action == action", 
file=file@entry=0x4bb3f0 "../../src/bin/ui/property/property_common.c", 
line=line@entry=87, 
function=function@entry=0x4c40ac <__PRETTY_FUNCTION__.43318> "_change")
at assert.c:92

#3 0x00007ffff55cec32 in GI_assert_fail (

assertion=assertion@entry=0x4bb1d4 "pd->started_action == action", 
file=file@entry=0x4bb3f0 "../../src/bin/ui/property/property_common.c", 
line=line@entry=87, 
function=function@entry=0x4c40ac <__PRETTY_FUNCTION__.43318> "_change")
at assert.c:101

#4 0x0000000000449a7a in _change (pd=<optimized out>,

pa=0x7069a0 <textblock_pd+1344>, action=0x7069d0 <textblock_pd+1392>)
at ../../src/bin/ui/property/property_common.c:87

#5 0x00007ffff5fc004c in _eo_base_event_callback_call (

obj_id=<optimized out>, pd=0x1711590, desc=0xdf3b20, 
event_info=<optimized out>) at lib/eo/eo_base_class.c:1176

#6 0x00007ffff5fbd41b in eo_event_callback_call (obj=0x400004dc70006ba3,

desc=0xdf3b20, event_info=0x0) at lib/eo/eo_base.eo.c:142

#7 0x000000000044b2be in _on_color_change (data=0x400004dc70006ba3,

obj=<optimized out>, event_info=<optimized out>)
at ../../src/bin/ui/property/property_color_control.c:36

#8 0x00007ffff5fc004c in _eo_base_event_callback_call (

obj_id=<optimized out>, pd=0x1f4d220, 
desc=0x7ffff7b90860 <_ELM_COLORSELECTOR_EVENT_CHANGED>, 
event_info=<optimized out>) at lib/eo/eo_base_class.c:1176

#9 0x00007ffff5fbd41b in eo_event_callback_call (

QA_Igor created this task.Jul 13 2016, 6:26 AM
QA_Igor renamed this task from [Bug] Background isn't displayed in Preview and program aborted to [Bug] Program aborted after change Font name and color.Jul 13 2016, 6:50 AM
QA_Igor updated the task description. (Show Details)
FurryMyad moved this task from KanBan (Bugs pool) to Eflete 0.7 on the Eflete board.
FurryMyad edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.

3 hours spent for now
doing huge refactor for that

FurryMyad set the point value for this task to 8.Jul 14 2016, 6:27 AM
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.Jul 14 2016, 6:49 AM

Color is still set to default, but app isn't crashed, so verified.

QA_Igor moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:22 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:13 AM